Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl
Class ResponseObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.memberdatav2.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class ResponseObjectBuilderImpl

extends Object
implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `ResponseObjectBuilder` interface.

Constructor Summary
`ResponseObjectBuilderImpl()`

Method Summary
`void` | `bootstrap()`
`MemberDataBuilderResponse` | `handleConsultationResponse(MemberDataConsultationResponse consultResponse)` Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `MemberDataBuilderResponse` object.
`Map<String,SignatureVerificationResult>` | `verifyAll(byte[] signedByteArray)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

Method Detail

### handleConsultationResponse

    public MemberDataBuilderResponse handleConsultationResponse(MemberDataConsultationResponse consultResponse)
                                                         throws TechnicalConnectorException

  Description copied from interface: `ResponseObjectBuilder`
  Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `MemberDataBuilderResponse` object.

  Specified by:
    `handleConsultationResponse` in interface `ResponseObjectBuilder`
  Parameters:
    `consultResponse` - the response sent by the WS
  Returns:
    a MemberDataBuilderResponse object who contains all info
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### verifyAll

    public Map<String,SignatureVerificationResult> verifyAll(byte[] signedByteArray)
                                                      throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.